This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1262848 - dnf fails to update/install packages with "Error: Failed to synchronize cache for repo 'updates' from" error.
dnf fails to update/install packages with "Error: Failed to synchronize cache...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
: 1350243 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 09:30 EDT by Amit Chaurasia
Modified: 2016-07-19 15:18 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1348992 (view as bug list)
Environment:
Last Closed: 2016-07-19 15:18:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Trying to update the system via DNF (fail) (158.74 KB, text/plain)
2016-06-15 02:31 EDT, Kamichr
no flags Details
Trying to update the system via YUM-deprecated (OK) (66.92 KB, text/plain)
2016-06-15 02:31 EDT, Kamichr
no flags Details

  None (edit)
Description Amit Chaurasia 2015-09-14 09:30:29 EDT
Description of problem:
DNF fails with cache error while installing/upgrading any package.


Version-Release number of selected component (if applicable):
Fedora 22.


How reproducible:
Any installation/upgradation of packages.


Steps to Reproduce:
1.sudo dnf install python-dnf-plugins-extras-migrate && dnf-2 migrate
2.
3.

Actual results:
http://paste.fedoraproject.org/266908/44223060/


Expected results:
Packages should be installed.


Additional info:

Ran the test to check and verify the metadata links. Found no issue confirming that the issue is due to a bug in the dnf.
The result of the tool is @http://paste.fedoraproject.org/266922/44223229/

And the tool can be found @https://github.com/puiterwijk/check_metalink
Comment 1 Honza Silhan 2015-09-16 07:34:18 EDT
Hi, can you post whole output of these commands, please? We don;t know which command failed and whether it's error in dnf or yum.
Comment 3 Luke Macken 2016-05-15 11:27:26 EDT
I've been hitting this issue for over a month now, on both F23 and the latest F24 beta.

$ sudo dnf update -vvvv
cachedir: /var/cache/dnf
Loaded plugins: debuginfo-install, protected_packages, config-manager, generate_completion_cache, download, needs-restarting, builddep, noroot, langpacks, Query, copr, reposync, playground
langpacks: No languages are enabled
Error reading file : /var/lib/dnf/plugins/langpacks/installed_langpacks as it does not exist
initialized Langpacks plugin
DNF version: 1.1.8
Cannot download 'http://download.fedoraproject.org/pub/fedora/linux/updates/testing/24/x86_64/': Yum repo downloading error: Downloading error(s): repodata/854ba80e85d2f5d09d9a137a8d4fcc52b38fb81cfab18fc0d30c36dddce11493-prestodelta.xml.xz - Cannot download, all mirrors were already tried without success.
Error: Failed to synchronize cache for repo 'updates-testing'
Comment 4 Kamichr 2016-06-15 02:31 EDT
Created attachment 1168164 [details]
Trying to update the system via DNF (fail)
Comment 5 Kamichr 2016-06-15 02:31 EDT
Created attachment 1168165 [details]
Trying to update the system via YUM-deprecated (OK)
Comment 6 Kamichr 2016-06-15 02:55:35 EDT
I added two attachments with output from dnf and yum-deprecated.
It seems not to be an issue with the network connection as yum can successfully download meta info and packages. dnf can't even download the meta info.

I ran first dnf and directly afterwards yum-deprecated.
Comment 7 Igor Gnatenko 2016-06-27 07:28:18 EDT
*** Bug 1348992 has been marked as a duplicate of this bug. ***
Comment 8 Kamichr 2016-06-27 08:48:50 EDT
Hello Igor,

thank you for put focus on this issue. Did you see that bug #1348992 was the same content but for Fedora Release 23?
Comment 9 Parag Nemade 2016-07-02 06:27:02 EDT
*** Bug 1350243 has been marked as a duplicate of this bug. ***
Comment 10 Fedora Admin XMLRPC Client 2016-07-08 05:33:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2016-07-19 15:18:28 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.